#include <bits/stdc++.h>
using namespace std;

#define ios ios_base::sync_with_stdio(false); cin.tie(0); cout.tie(0);
#define ll long long
#define ull unsigned long long
#define inf INT_MAX
#define llinf LLONG_MAX
#define mt make_tuple
#define mp make_pair
#define parll pair<ll,ll>
#define parii pair<int,int>
#define frs first
#define sec second
#define neparno(x) (x&1)
#define parno(x) (!neparno(x))
#define lowbit(x) (x&-x)
#define nzd __gcd
#define nzs(e1,e2) (e1/nzd(e1,e2))*e2
#define all(V) V.begin(),V.end()
#define fill(V,v) fill(all(V),v)
#define l_b(BRL,brl) lower_bound( BRL.begin(), BRL.end(), brl )-BRL.begin()-1
#define u_b(BRU,bru) upper_bound( BRU.begin(), BRU.end(), bru )-BRU.begin()
#define mxn 200004

ll n,m,U[mxn],D[mxn];

int main()
{
    ios;

    cin >> n >> m;
    for ( ll i = 1; i <= n; i++ )
    {
        cin >> U[i] >> D[i];
    }

    ll l,r,x;
    while ( m-- )
    {
        cin >> l >> r >> x;
        ll br = 0;
        for ( ll i = l; i <= r; i++ )
        {
            if ( U[i] <= x && x <= D[i] )
            {
                br++;
            }
        }
        cout << br << "\n";
    }

    return 0;
}